<?php
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_str_to_img_ttf package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_str_to_img_ttf
 */

?>

<div class="ab-str-to-img-ttf">
    <?php 
    if (is_null($imgData)) {
        echo '<p class="error">' . t('Error occured. Please check if valid TTF font files are available in folder: ') . '<br />';
        echo DIR_FILES_UPLOADED_STANDARD . '/fonts/ttf/' . '</p>';
    }
    else {
        echo '<img src="data:image/png;base64,' . base64_encode($imgData) . '" />';
    }
    ?>
</div>
